--[[
BY
 _____   _____   __   _  
|  _  \ /  _  \ |  \ | | 
| | | | | | | | |   \| | 
| | | | | | | | | |\   | 
| |_| | | |_| | | | \  | 
|_____/ \_____/ |_|  \_| 

]]

local function FinalOffset1don(inst)
    inst.AnimState:SetFinalOffset(1)
end

local function FinalOffset2don(inst)
    inst.AnimState:SetFinalOffset(2)
end

local fxdon =
{
    {
        name = "donfx_shadow_despawn_purple",
        bank = "statue_ruins_fx_don",
        build = "statue_ruins_fx_don",
        anim = "transform_nightmare",
		tint = Vector3(152/255, 88/255, 202/255),
		tintalpha = 0.6,
        sound = "dontstarve/maxwell/shadowmax_despawn",
        
    },	
	{
        name = "donfx_shadow_despawn_pink",
        bank = "statue_ruins_fx_don",
        build = "statue_ruins_fx_don",
        anim = "transform_nightmare",
		tint = Vector3(218/255, 81/255, 209/255),
		tintalpha = 0.6,
        sound = "dontstarve/maxwell/shadowmax_despawn",
        
    },
	{
        name = "donfx_shadow_despawn_yellow",
        bank = "statue_ruins_fx_don",
        build = "statue_ruins_fx_don",
        anim = "transform_nightmare",
		tint = Vector3(238/255, 255/255, 112/255),
		tintalpha = 0.6,
        sound = "dontstarve/maxwell/shadowmax_despawn",
        
    },	
    {
        name = "donfx_small_puff_green",
        bank = "small_puff",
        build = "smoke_puff_small",
        anim = "puff",
		tint = Vector3(109/255, 219/255, 114/255),
        tintalpha = .8,
        sound = "dontstarve/common/deathpoof",
    },	
    {
        name = "donfx_normal_smoke",
        bank = "max_fx_don",
        build = "max_fx_don",
        anim = "anim",
		tint = Vector3(0, 0, 0),
        tintalpha = .9,
		--sound = "dontstarve/common/deathpoof",	
    },
	{
        name = "donfx_purple_smoke",
        bank = "max_fx_don",
        build = "max_fx_don",
        anim = "anim",
		tint = Vector3(152/255, 88/255, 202/255),
        tintalpha = .9,
		--sound = "dontstarve/common/deathpoof",	
    },
	{
        name = "donfx_red_smoke",
        bank = "max_fx_don",
        build = "max_fx_don",
        anim = "anim",
		tint = Vector3(255/255, 91/255, 91/255),
        tintalpha = .7,
		sound = "dontstarve/maxwell/shadowmax_despawn",
    },
	{
        name = "donfx_orange_smoke",
        bank = "max_fx_don",
        build = "max_fx_don",
        anim = "anim",
		tint = Vector3(234/255, 180/255, 35/255),
        tintalpha = .7,
		sound = "dontstarve/maxwell/shadowmax_despawn",
    },
	{
        name = "donfx_cyan_smoke",
        bank = "max_fx_don",
        build = "max_fx_don",
        anim = "anim",
		tint = Vector3(35/255, 234/255, 192/255),
        tintalpha = .7,
		sound = "dontstarve/maxwell/shadowmax_despawn",
    },
	{
        name = "donfx_dark_smoke",
        bank = "max_fx_don",
        build = "max_fx_don",
        anim = "anim",
		tint = Vector3(53/255, 53/255, 53/255),
        tintalpha = .7,
		sound = "dontstarve/maxwell/shadowmax_despawn",
    },
	{
        name = "donfx_yellow_smoke",
        bank = "max_fx_don",
        build = "max_fx_don",
        anim = "anim",
		tint = Vector3(238/255, 255/255, 112/255),
        tintalpha = .7,
		sound = "dontstarve/maxwell/shadowmax_despawn",
    },	
	{
        name = "donfx_pink_smoke",
        bank = "max_fx_don",
        build = "max_fx_don",
        anim = "anim",
		tint = Vector3(233/255, 51/255, 255/255),
        tintalpha = .7,
		sound = "dontstarve/maxwell/shadowmax_despawn",
    },
	{
        name = "donfx_green_smoke",
        bank = "max_fx_don",
        build = "max_fx_don",
        anim = "anim",
		tint = Vector3(67/255, 240/255, 86/255),
        tintalpha = .7,
		sound = "dontstarve/maxwell/shadowmax_despawn",
    },
}

FinalOffset1don = nil
FinalOffset2don = nil

return fxdon
